Devuan bug report logs - #424
Wrong ID in os-release?

Package: base-files; Maintainer for base-files is Devuan Developers <devuan-dev@lists.dyne.org>; Source for base-files is src:base-files.

Reported by: David Reviejo <dreviejo@gmail.com>

Date: Mon, 20 Apr 2020 20:48:01 UTC

Severity: normal

Tags: moreinfo

Found in version 10.3+devuan3.4

Done: fsmithred <fsmithred@gmail.com>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, Evilham <devuan@evilham.com>:
bug#424; Package base-files. (Mon, 20 Apr 2020 20:48:01 GMT) (full text, mbox, link).


Acknowledgement sent to David Reviejo <dreviejo@gmail.com>:
New bug report received and forwarded. Copy sent to Evilham <devuan@evilham.com>. (Mon, 20 Apr 2020 20:48:04 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: David Reviejo <dreviejo@gmail.com>
To: submit@bugs.devuan.org
Subject: Wrong ID in os-release?
Date: Mon, 20 Apr 2020 22:27:37 +0200
Package: base-files
Version: 10.3+devuan3.4

I'm using devuan beowulf, but some utilities, like screenfetch or
lsb_release, think it's debian. For example:

$ lsb_release -a
No LSB modules are available.
Distributor ID: Debian
Description:    Devuan GNU/Linux 3 (beowulf)
Release:        3
Codename:       beowulf

I think we need
    ID=devuan
in /usr/lib/os-release.

Cheers,
-- 
David

Information forwarded to devuan-bugs@lists.dyne.org, Evilham <devuan@evilham.com>:
bug#424; Package base-files. (Tue, 21 Apr 2020 09:03:01 GMT) (full text, mbox, link).


Message #8 received at 424@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 424@bugs.devuan.org, David Reviejo <dreviejo@gmail.com>
Subject: Re: Wrong ID in os-release?
Date: Tue, 21 Apr 2020 09:45:43 +0100
David,

On Mon, 20 Apr 2020 22:27:37 +0200 David Reviejo <dreviejo@gmail.com> wrote:
> Package: base-files
> Version: 10.3+devuan3.4
> 
> I'm using devuan beowulf, but some utilities, like screenfetch or
> lsb_release, think it's debian. For example:
> 
> $ lsb_release -a
> No LSB modules are available.
> Distributor ID: Debian
> Description:    Devuan GNU/Linux 3 (beowulf)
> Release:        3
> Codename:       beowulf
> 
> I think we need
>     ID=devuan
> in /usr/lib/os-release.

Thanks for this.

This is a conscious decision in beowulf as a work around for various debian bugs
that couldn't be resolved in other ways.

For ceres and chimaera this has already been changed. See
https://bugs.devuan.org/411

Mark

Information forwarded to devuan-bugs@lists.dyne.org, Evilham <devuan@evilham.com>:
bug#424; Package base-files. (Wed, 03 Jun 2020 15:03:02 GMT) (full text, mbox, link).


Message #11 received at 424@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 424@bugs.devuan.org, David Reviejo <dreviejo@gmail.com>
Subject: Re: Wrong ID in os-release?
Date: Wed, 3 Jun 2020 15:50:24 +0100
Control: tags -1 moreinfo

David,

On Tue, 21 Apr 2020 09:45:43 +0100 Mark Hindley <mark@hindley.org.uk> wrote:
> This is a conscious decision in beowulf as a work around for various debian bugs
> that couldn't be resolved in other ways.
> 
> For ceres and chimaera this has already been changed. See
> https://bugs.devuan.org/411

We are testing whether we can change this for the first point release of
beowulf. An updated base-files package is available in the
beowulf-proposed-updates suite or directly from the pool[1].  Please would you
test it and report success or any new issues.

Thanks.

Mark

[1]  http://deb.devuan.org/devuan/pool/main/b/base-files/base-files_10.3%2Bdevuan3.5_all.deb


Added tag(s) moreinfo. Request was from Mark Hindley <mark@hindley.org.uk> to 424-submit@bugs.devuan.org. (Wed, 03 Jun 2020 15:03:05 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, Evilham <devuan@evilham.com>:
bug#424; Package base-files. (Wed, 03 Jun 2020 16:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to David Reviejo <dreviejo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Evilham <devuan@evilham.com>. (Wed, 03 Jun 2020 16:03:04 GMT) (full text, mbox, link).


Message #18 received at 424@bugs.devuan.org (full text, mbox, reply):

From: David Reviejo <dreviejo@gmail.com>
To: 424@bugs.devuan.org
Subject: Re: Wrong ID in os-release?
Date: Wed, 3 Jun 2020 17:39:55 +0200
* Mark Hindley <mark@hindley.org.uk> [2020-06-03 16:50]:
> We are testing whether we can change this for the first point release of
> beowulf. An updated base-files package is available in the
> beowulf-proposed-updates suite or directly from the pool[1].  Please would you
> test it and report success or any new issues.
> 
> [1]  http://deb.devuan.org/devuan/pool/main/b/base-files/base-files_10.3%2Bdevuan3.5_all.deb
> 

I think this version it's Ok; screenfetch and lsb_release now report the
correct distribution. Even (after updating grub), grub prints "Devuan
GNU/Linux" at boot.

Cheers,
-- 
David

Reply sent to fsmithred <fsmithred@gmail.com>:
You have taken responsibility. (Sat, 27 Feb 2021 19:18:02 GMT) (full text, mbox, link).


Notification sent to David Reviejo <dreviejo@gmail.com>:
bug acknowledged by developer. (Sat, 27 Feb 2021 19:18:08 GMT) (full text, mbox, link).


Message #23 received at 424-close@bugs.devuan.org (full text, mbox, reply):

From: fsmithred <fsmithred@gmail.com>
To: 424-close@bugs.devuan.org
Subject: Wrong ID in os-release?
Date: Sat, 27 Feb 2021 14:03:02 -0500
Package: base-files

Fixed in base-files 10.3+devuan3.5  (in Beowulf 3.1.0)

fsmithred

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Fri Aug 12 23:46:47 2022;